# class Object

### Constants

ArgVector

  # Argvector¶ ↑

  Argvector provides a very simple means of parsing command line arguments.

  Unlike other more complex libs this provides only the most basic and standard parsing functionality. In many cases that's all one really needs.

  Usage is straight foward. Simply instantiate the class and query it for the particular “views” of the command line you want.

      cargs = Argvector.new("-a foo -b=2")

      cargs.parameters    #=> [['foo'],{'a'=>true,'b'=>'2'}]
      cargs.flags         #=> ['a']
      cargs.preoptions    #=> {'a'=>true}
      cargs.preflags      #=> ['a']
      cargs.subcommand    #=> ['foo', [], {'b'=>'2'}]

RUBY_ENGINE

### Public Instance Methods

null?() click to toggle source

    # File lib/facets/nullclass.rb, line 33
    def null?
      false
    end